#ifndef VideoEnde_H
#define VideoEnde_H

#include <TextFeld.h>
#include <UIInitialization.h>

using namespace Framework;

class VideoEnde : public virtual ReferenceCounter
{
private:
    TextFeld *text;

public:
    // Konstruktor
    VideoEnde( UIInit &uiFactory );
    // Destruktor
    ~VideoEnde();
    // nicht constant
    void setSichtbar( bool b );
    void setText( const char *txt );
    void render( Bild &zRObj );
    // constant
    bool istSichtbar() const;
};

#endif