#ifndef VideoKarte_H
#define VideoKarte_H

#include <Bild.h>

using namespace Framework;

class VideoKamera;

class VideoKarte : public virtual ReferenceCounter
{
private:
    RCArray< Rahmen > *rahmen;
    RCArray< Bild > *map;
    int runde;

public:
    // Konstruktor
    VideoKarte();
    // Destruktor
    ~VideoKarte();
    // nicht constant
    void setSize( int br, int h );
    void nextRunde( bool vorwrts );
    void render( VideoKamera *zKam, Bild &zRObj );
    // constant
    int getBreite() const;
    int getHeight() const;
    Bild *zMap() const;
    Bild *zMap( int runde ) const;
};

#endif