#ifndef VideoChat_H
#define VideoChat_H

#include <TextFeld.h>
#include <UIInitialization.h>

using namespace Framework;

class VideoChat : public virtual ReferenceCounter
{
private:
    TextFeld *verlauf;

public:
    // Konstruktor
    VideoChat( UIInit &uiFactory );
    // Destruktor
    ~VideoChat();
    // nicht constant
    void addNachricht( char *nachricht );
    void addNachricht( char *nachricht, int farbe );
    void removeNachricht( char *nachricht );
    void doPublicMausEreignis( MausEreignis &me );
    void tick( double z );
    void render( Bild &zRObj );
};

#endif