#ifndef STKNachricht_H
#define STKNachricht_H

#include <ReferenceCounter.h>

class STKNachricht : public virtual Framework::ReferenceCounter
{
private:
    double spielZeit;
    int ln;
    char *nachricht;
    bool verarbeitet;

public:
    // Konstruktor
    STKNachricht( int ln, char *nachricht );
    // Destruktor
    ~STKNachricht();
    // nicht constant
    void setVerarbeitet();
    // constant
    bool istVerarbeitet() const;
    double getSpielZeit() const;
    int getLength() const;
    char *getNachricht() const;
};

#endif