#ifndef Rundenende_H
#define Rundenende_H

#include <TextFeld.h>
#include <Rahmen.h>
#include <UIInitialization.h>

using namespace Framework;

class RundenEnde : public virtual ReferenceCounter
{
private:
    LRahmen *rahmen;
    TextFeld *text;
    TextFeld *warten;
    bool sichtbar;

public:
    // Konstruktor
    RundenEnde( UIInit &uiFactory );
    // Destruktor
    ~RundenEnde();
    // nicht constant
    void setSichtbar( bool b );
    void setGewonnen( bool gewonnen );
    void setZeit( int sekunden );
    void render( Bild &zRObj );
    // constant
    bool istSichtbar() const;
};

#endif